#include <jni.h>
#include "Native.h"

extern "C" void gwpakt_(
		double *xv,
		double *av,
		double *bv,
		double *xmax,
		double *xmin,
		int *m,
		double *t,
		double *h,
		double *sigma);

JNIEXPORT void JNICALL Java_Native__1ncf_1interface (
		JNIEnv *env,
		jobject obj,
		jdouble minx,
		jdouble maxx,
		jint density,
		jdoubleArray indep,
		jdoubleArray dep,
		jdouble t,
		jdouble h,
		jdouble sigma) {

	jdouble *indepPtr = env->GetDoubleArrayElements(indep, 0);
	jdouble *depPtr = env->GetDoubleArrayElements(dep, 0);
	jdouble *dummy = new jdouble[density];

	gwpakt_(indepPtr, depPtr, dummy, &maxx, &minx, &density, &t, &h, &sigma);

	env->ReleaseDoubleArrayElements(indep, indepPtr, 0);
	env->ReleaseDoubleArrayElements(dep, depPtr, 0);
	delete dummy;
}
